<?
session_start();
// Lee la plantilla
if($_POST['tipodoc']=='MEM'){
$plantilla = file_get_contents('plantillas/memo.rtf');
}
if($_POST['tipodoc']=='CAR'){
$plantilla = file_get_contents('plantillas/carta.rtf');
} 
if($_POST['tipodoc']=='PAG'){
$plantilla = file_get_contents('plantillas/pago.rtf');
}
if($_POST['tipodoc']=='CTO'){
$plantilla = file_get_contents('plantillas/contrato.rtf');
}
if(($_POST['tipodoc']=='PRO') or ($_POST['tipodoc']=='FOR')){
$plantilla = file_get_contents('plantillas/profor.rtf');
}


// Agregamos los escapes necesarios
$plantilla = addslashes($plantilla);
$plantilla = str_replace('\r','\\r',$plantilla);
$plantilla = str_replace('\t','\\t',$plantilla);

// Datos de la plantilla
$codigodoc=$_POST['codigodoc'];
$de=$_POST['de'];
$para=$_POST['para'];
$referencia=$_POST['referencia'];
$asunto=$_POST['asunto'];
$personal=$_POST['personal'];
// de esta manera el codigo no envejece :P

// Procesa la plantilla
eval( '$rtf = <<<EOF_RTF
' . $plantilla . '
EOF_RTF;
' );

// Guarda el RTF generado
$archivito="PER-".$_POST['tipodoc']."-".$_POST['numero']."-".$_SESSION['usuarea']."-".date(my).".doc";
file_put_contents("archivos/$archivito",$rtf);

$path="archivos"; 
$enlace = $path."/".$archivito; 
//$enlace = $archivito; 
header ("Content-Disposition: attachment; filename=".$archivito); 
header ("Content-Type: application/octet-stream"); 
header ("Content-Length: ".filesize($enlace)); 
readfile($enlace); 
?>